/*************************************************
* 液晶表示器制御ライブラリ
*   lcd_init()    ----　初期化
*   lcd_cmd(cmd)  ----- コマンド出力
*   lcd_data(chr) ----- １文字表示出力
*   lcd_str(ptr)  ----- 文字列出力
*   lcd_clear()   ----- 全消去
***************************************************/

#define _XTAL_FREQ  8000000	//  クロック周波数設定 
/**** 液晶表示設定 *****/
#define DB7 LATB7               //DB7 pin
#define DB6 LATB6               //DB6 pin
#define DB5 LATB5               //DB5 pin
#define DB4 LATB4               //DB4 pin
#define RS  LATB2               //RS pin
#define STB LATB3               //E pin (STB pin)

void lcd_data(unsigned char asci);
void lcd_str(unsigned char* ptr);
void lcd_cmd(unsigned char cmd);
void lcd_clear(void);
void lcd_init(void);
void lcd_cgram(int code, unsigned char* ptr);
